Subject: Re: Land Available For Or
From: [email-masked] (Dave Stratman)
Date: 9 Jul 94 18:10:00 GMT
Newsgroups: alt.sustainable.agriculture

Marlin,
Have you checked with the Soil Conservation Service office in the  county where
your farm is located?  They have personnel who are  familiar with many of the
"locals" and may be able to assist you.  They  also have a lot of info (soils,
contractors, misc. ag reports, etc.)  that you may find helpful.  You might
also check with the Cooperative  Extention Service there also. 
In what county is your farm located?
Good luck!